
import 'package:bar_tender_api_dart/src/apiClients/generic_api_client.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';
import 'package:http/http.dart' as http;

abstract class ApiClient<E> extends GenericApiClient{
  final Duration timeout = const Duration(seconds: 5);

  Future<E> fetch(Model model);

  Future<http.Response> createOrUpdate(Model model, dynamic object);

}